Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.trmi
Class TransportTSListener

    java.lang.Object
      com.atomikos.icatch.trmi.TransportTSListener

All Implemented Interfaces:
  TSListener

    public class TransportTSListener

extends Object
implements TSListener

A TSListener implementation to start the necessary transports for message-based two-phase commit.

Constructor Summary
`TransportTSListener()`

Method Summary
`void` | `init(boolean before, Properties p)` Called before and after initialization.
`void` | `shutdown(boolean before)` Called before and after shutdown.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransportTSListener

    public TransportTSListener()

Method Detail

### init

    public void init(boolean before,
                     Properties p)

  Description copied from interface: `TSListener`
  Called before and after initialization.

  Specified by:
    `init` in interface `TSListener`
  Parameters:
    `before` - True indicates that initialization is about to start. False indicates that initialization has finished. This means that recovery has been done and the transaction service is now ready to start new transactions.
    `p` - The initialization properties.

### shutdown

    public void shutdown(boolean before)

  Description copied from interface: `TSListener`
  Called before and after shutdown.

  Specified by:
    `shutdown` in interface `TSListener`
  Parameters:
    `before` - True if shutdown is about to start. False if shutdown has finished.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.